This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 483496 - (python-instant) Review Request: python-instant - Python module for instant inlining of C and C++ code
Review Request: python-instant - Python module for instant inlining of C and ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FEniCS dolfin
  Show dependency treegraph
 
Reported: 2009-02-01 15:59 EST by Fabian Affolter
Modified: 2012-05-15 09:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-20 06:47:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2009-02-01 15:59:06 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/python-instant.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/python-instant-0.9.5-1.fc10.src.rpm

Project URL: http://www.fenics.org/wiki/Instant

Description:
Instant is a Python module that allows for instant inlining of C and
C++ code in Python. It is a small Python module built on top of SWIG
and Distutils. 

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1097698

rpmlint output:
[fab@laptop24 noarch]$ rpmlint python-instant-0.9.5-1.fc10.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop24 SRPMS]$ rpmlint python-instant-0.9.5-1.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Parag AN(पराग) 2009-02-02 02:36:22 EST
Review:
+ package builds in mock.
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1098608
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
279884a0ad84ac4b1de3fc54fccf5984  instant-0.9.5.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %doc files not present.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI App.

Suggestions:
1) you can consider adding tests to %doc. This will make rpmlint unhappy to make it happy

APPROVED.
Comment 2 Parag AN(पराग) 2009-02-02 02:37:16 EST
ah I missed to type that make it happy by using following in %prep
chmod 644 tests/*
Comment 3 Fabian Affolter 2009-02-02 03:03:01 EST
Good point, thanks.  I will add the test stuff before cvs import.
Comment 4 Fabian Affolter 2009-02-02 03:04:40 EST
New Package CVS Request
=======================
Package Name: python-instant
Short Description:  Python module for instant inlining of C and C++ code
Owners: fab
Branches: F-9 F-10
InitialCC:
Comment 5 Kevin Fenzi 2009-02-02 23:11:57 EST
cvs done.
Comment 6 Fedora Update System 2009-02-04 21:25:10 EST
python-instant-0.9.5-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update python-instant'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-1384
Comment 7 Fedora Update System 2009-02-04 21:25:20 EST
python-instant-0.9.5-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-instant'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1386
Comment 9 Jonathan Underwood 2012-05-02 16:45:14 EDT
Package Change Request
======================
Package Name: python-instant
New Branches: el6
Owners: jgu
InitialCC:
Comment 10 Gwyn Ciesla 2012-05-03 09:08:30 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.